﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AFPCTL' AND COLUMN_NAME = 'SDPW' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_AFPCTL_SDPW')
BEGIN 
    PRINT 'Creating default constraint DF_AFPCTL_SDPW on table AFPCTL' 
    ALTER TABLE [dbo].[AFPCTL]
    ADD CONSTRAINT [DF_AFPCTL_SDPW] DEFAULT ((0)) FOR [SDPW]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AFPCTL' AND COLUMN_NAME = 'DOSA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_AFPCTL_DOSA')
BEGIN 
    PRINT 'Creating default constraint DF_AFPCTL_DOSA on table AFPCTL' 
    ALTER TABLE [dbo].[AFPCTL]
    ADD CONSTRAINT [DF_AFPCTL_DOSA] DEFAULT ((0)) FOR [DOSA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AFPCTL' AND COLUMN_NAME = 'IDOC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_AFPCTL_IDOC')
BEGIN 
    PRINT 'Creating default constraint DF_AFPCTL_IDOC on table AFPCTL' 
    ALTER TABLE [dbo].[AFPCTL]
    ADD CONSTRAINT [DF_AFPCTL_IDOC] DEFAULT ((0)) FOR [IDOC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AFPCTL' AND COLUMN_NAME = 'LOCA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_AFPCTL_LOCA')
BEGIN 
    PRINT 'Creating default constraint DF_AFPCTL_LOCA on table AFPCTL' 
    ALTER TABLE [dbo].[AFPCTL]
    ADD CONSTRAINT [DF_AFPCTL_LOCA] DEFAULT ((0)) FOR [LOCA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'AFPCTL' AND COLUMN_NAME = 'SIGN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_AFPCTL_SIGN')
BEGIN 
    PRINT 'Creating default constraint DF_AFPCTL_SIGN on table AFPCTL' 
    ALTER TABLE [dbo].[AFPCTL]
    ADD CONSTRAINT [DF_AFPCTL_SIGN] DEFAULT ((0)) FOR [SIGN]
END 
GO

